---
search:
  tags:
    - API Authorization
    - POST
seo:
  description: >-
    Security: No access token required: the caller authenticates with the…
    Reference for the POST /v1/apiUserInfo endpoint in the Bpanda REST API
    (experimental).
sidebar:
  label: Obtain a token, license and user info for a client of an account.
  badge: POST
title: Obtain a token, license and user info for a client of an account.
type: openapi-operation
---
Obtain a token, license and user info for a client of an account.
      Given an accountId and the clientId/clientSecret of an API client registered for that account, let CAM
      determine the account's Keycloak server and obtain a token for that client. Returns the caller's email and
      userId (from the obtained token), the token itself, the account-scoped license token (LIC_BPANDA_API) for
      the given accountId, and the id of that account's process space (PS-001-&lt;accountId>).

**Security:** No access token required: the caller authenticates with the clientId and clientSecret of an API client registered for the given account.

`POST /v1/apiUserInfo`
